Package org.silverpeas.components.kmelia.notification

## Class AbstractKmeliaActionPublicationUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
      - - org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification<org.silverpeas.core.contribution.publication.model.PublicationDetail>
        - - org.silverpeas.components.kmelia.notification.AbstractKmeliaPublicationUserNotification
          - - org.silverpeas.components.kmelia.notification.AbstractKmeliaActionPublicationUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`
  Direct Known Subclasses:
    `KmeliaDefermentPublicationUserNotification`, `KmeliaModificationPublicationUserNotification`, `KmeliaNoMoreValidatorPublicationUserNotification`, `KmeliaPendingValidationPublicationUserNotification`, `KmeliaValidationPublicationUserNotification`

      public abstract class AbstractKmeliaActionPublicationUserNotification
      extends AbstractKmeliaPublicationUserNotification

  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractKmeliaActionPublicationUserNotification​(org.silverpeas.core.node.model.NodePK nodePK, org.silverpeas.core.contribution.publication.model.PublicationDetail resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getSender()` |

    - ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaPublicationUserNotification

      `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getNodePK, getPath, getResourceURL, isGroupCanBeNotified, isUserCanBeNotified, performNotificationResource, performTemplateData, stopWhenNoUserToNotify`

    - ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification

      `getHTMLNodePath, getLocalizationBundlePath, getNodeHeader, getNodeService, getOrganisationController, getTemplatePath`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, initialize, initializeNotificationResourceData, isSendImmediately, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractKmeliaActionPublicationUserNotification

          protected AbstractKmeliaActionPublicationUserNotification​(org.silverpeas.core.node.model.NodePK nodePK,
                                                                    org.silverpeas.core.contribution.publication.model.PublicationDetail resource,
                                                                    org.silverpeas.core.notification.user.client.constant.NotifAction action)

  - ### Method Detail

    - #### getSender

          protected String getSender()

      Overrides:
        `getSender` in class `AbstractKmeliaPublicationUserNotification`